Subject: RE: draft-nadeau-pwe3-oam-msg-map-03.txt

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 12 Jan 2004 10:19:15 -0500

Yakov,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Yaakov Stein
> Sent: Sunday, January 11, 2004 2:13 AM
> To: [email-masked]; [email-masked]
> Subject: RE: [PWE3] draft-nadeau-pwe3-oam-msg-map-03.txt
> 
> 
> Stewart, 
> 
> > Is there PWE3 WG consensus to make:
> > 
> > 
> http://www.ietf.org/internet-drafts/draft-nadeau-pwe3-oam-msg-
map-03.txt
> a WG draft?

> Regarding the "like to like" case, although I am certainly in favor
> of rationalizing the OAM treatment for the different PW types, 
> I defer to the OAM experts regarding the details.
> 
> I do have serious problems with the "service interworking" cases
> discussed in this draft.
> 
> First, I believe they are beyond the scope of our original charter
> (at least as it presently stands).

	Just to clarify, as I stated during the last PWE3 session
in Minneapolis, we shall remove the like-to-like case in the
next revision of the draft. As a matter of fact, we are working
on this as we speak, so this is not a problem.

> Finally, I find the discussion in the introduction to be quite
confusing.
> The user data for the ATM to FR over MPLS case is presented as either
> being carried by ATM/FR or FR/ATM service interworking before the 
> MPLS edge, and then using an FR or ATM PW respectively. 
> Why then do we need figure 5? 
> If, from the point of view of the MPLS network, 
> we are simply carrying either an ATM or FR PW, 
> then the whole issue has been reduced to cases we know how to treat.

	This can be clarified as part of the removal of the
like-to-like discussion in the draft.

	--Tom